
Redmine - Defect #16955

Attached files not displayed after save

2014-05-22 16:46 - Claude Durocher

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.5.1

Description

When attaching files, they are correctly uploaded to the server but never displayed in the page where it's attached. The problem

semms to come from a wrong insert into the database (container_id and container_type is set to NULL instead of the document

values):

Started POST "/uploads.js" for 10.10.10.2 at 2014-05-22 10:20:27 -0400

Processing by AttachmentsController#upload as JS

   (0.1ms)  SELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings` 

  User Load (0.1ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser

') AND `users`.`status` = 1 AND `users`.`id` = 1 LIMIT 1

  Current user: admin (id=1)

   (0.1ms)  BEGIN

Saving attachment '/usr/share/redmine/files/2014/05/140522102027_d58d6330d29a43bf130e2eb2947c8052'

 (1383 bytes)

  SQL (0.3ms)  INSERT INTO `attachments` (`author_id`, `container_id`, `container_type`, `content_

type`, `created_on`, `description`, `digest`, `disk_directory`, `disk_filename`, `downloads`, `fil

ename`, `filesize`) VALUES (1, NULL, NULL, '', '2014-05-22 10:20:27', NULL, '642e8f5c803da41e35826

c192c6edfef', '2014/05', '140522102027_d58d6330d29a43bf130e2eb2947c8052', 0, 'd58d6330d29a43bf130e

2eb2947c8052', 1383)

   (4.0ms)  COMMIT

  Rendered attachments/upload.js.erb (0.8ms)

Completed 200 OK in 31.4ms (Views: 11.5ms | ActiveRecord: 4.5ms)

 This is and upgraded version (from 2.4.5 to 2.5.1).

History

#1 - 2014-05-22 20:14 - Claude Durocher

- Status changed from New to Resolved

Found the problem : bad configuration of our reverse proxy.

#2 - 2014-05-22 23:42 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed
